## oar 2.6.0

=== debian/changelog ===
oar (2.6.0-1) unstable; urgency=medium

  [ Pierre Neyron ]
  * New upstream release
  * Switch to systemd and cgroup v2 (need config update for upgrade)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 27 Feb 2025 15:51:20 +0100

oar (2.6.0~rc7-1) unstable; urgency=medium

  * Release candidate 7

 -- Pierre Neyron <pierre.neyron@free.fr>  Thu, 27 Feb 2025 13:23:54 +0100

oar (2.6.0~rc6-1) unstable; urgency=medium

  * Release candidate 6

 -- Pierre Neyron <pierre.neyron@free.fr>  Tue, 25 Feb 2025 20:10:32 +0100

oar (2.6.0~rc5-1) unstable; urgency=medium

  * Release candidate 5

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 24 Feb 2025 11:04:33 +0100

oar (2.6.0~rc4-1) unstable; urgency=medium

  * Release candidate 4

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 21 Feb 2025 23:20:27 +0100

oar (2.6.0~rc3-1) unstable; urgency=medium

  * Release candidate 3

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 21 Feb 2025 20:48:31 +0100

oar (2.6.0~rc2-1) unstable; urgency=medium

  * Release candidate 2

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 21 Feb 2025 01:57:28 +0100

oar (2.6.0~rc1-1) unstable; urgency=medium

  * Release candidate 1

 -- Pierre Neyron <pierre.neyron@free.fr>  Sun, 26 Jan 2025 20:07:49 +0100
