=== docs/requirements.txt ===
-e git+https://github.com/oar-team/oar-sphinx-theme.git#egg=oar-sphinx-theme
