=== debian/changelog ===
oar (2.6.1-1) unstable; urgency=medium

  * New upstream release
  * Improved support for pam-oar-adopt (fix bugs and config)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 24 Mar 2025 14:50:27 +0100

oar (2.6.1~rc2-1) unstable; urgency=medium

  * Release candidate 2

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 21 Mar 2025 16:55:34 +0100

oar (2.6.1~rc1-1) unstable; urgency=medium

  * Release candidate 1
  * Install and setup PAM profile in oar-node package
  * remove patch move-pam-oar-adopt-to-oar-node: applied upstream

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 18 Mar 2025 16:53:19 +0100

oar (2.6.0-2) unstable; urgency=medium

  [ Pierre Neyron ]
  * Move pam_oar_adopt back to the oar-node package. Closes: #1099442.
  * 2.6.0 also closes: #1039291: oar-node and oar-server now have systemd
    service files.
  * 2.6.0 also closes: #1049242: incriminated oar.gpg is not packaged anymore.

  [ Vincent Danjean ]
  * add breaks/replaces on oar-common (= 2.6.0-1) in case someone installed
    this version (where pam_oar_adopt was moved)

 -- Pierre Neyron <pierre.neyron@free.fr>  Thu, 06 Mar 2025 09:02:14 +0100
